org.apache.ignite.internal.processors.cache.persistence.wal.reader

## Class IgniteWalIteratorFactory.IteratorParametersBuilder

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.wal.reader.IgniteWalIteratorFactory.IteratorParametersBuilder

Enclosing class:
  IgniteWalIteratorFactory

    public static class IgniteWalIteratorFactory.IteratorParametersBuilder
    extends Object

Wal iterator parameter builder.

### Field Summary

Fields
`static FileWALPointer` `DFLT_HIGH_BOUND`
`static FileWALPointer` `DFLT_LOW_BOUND`

### Constructor Summary

Constructors
Constructor and Description
`IteratorParametersBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IgniteWalIteratorFactory.IteratorParametersBuilder` `binaryMetadataFileStoreDir(File binaryMetadataFileStoreDir)`
`IgniteWalIteratorFactory.IteratorParametersBuilder` `bufferSize(int bufferSize)`
`IgniteWalIteratorFactory.IteratorParametersBuilder` `copy()` Copy current state of builder to new instance.
`IgniteWalIteratorFactory.IteratorParametersBuilder` `filesOrDirs(File... filesOrDirs)`
`IgniteWalIteratorFactory.IteratorParametersBuilder` `filesOrDirs(String... filesOrDirs)`
`IgniteWalIteratorFactory.IteratorParametersBuilder` `filter(IgniteBiPredicate<WALRecord.RecordType,WALPointer> filter)`
`IgniteWalIteratorFactory.IteratorParametersBuilder` `from(FileWALPointer lowBound)`
`IgniteWalIteratorFactory.IteratorParametersBuilder` `ioFactory(FileIOFactory ioFactory)`
`IgniteWalIteratorFactory.IteratorParametersBuilder` `keepBinary(boolean keepBinary)`
`IgniteWalIteratorFactory.IteratorParametersBuilder` `marshallerMappingFileStoreDir(File marshallerMappingFileStoreDir)`
`IgniteWalIteratorFactory.IteratorParametersBuilder` `pageSize(int pageSize)`
`IgniteWalIteratorFactory.IteratorParametersBuilder` `to(FileWALPointer highBound)`
`void` `validate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DFLT_LOW_BOUND

    public static final FileWALPointer DFLT_LOW_BOUND

#### DFLT_HIGH_BOUND

    public static final FileWALPointer DFLT_HIGH_BOUND

### Constructor Detail

#### IteratorParametersBuilder

    public IteratorParametersBuilder()

### Method Detail

#### filesOrDirs

    public IgniteWalIteratorFactory.IteratorParametersBuilder filesOrDirs(String... filesOrDirs)

Parameters:
  `filesOrDirs` - Paths to files or directories.
Returns:
  IteratorParametersBuilder Self reference.

#### filesOrDirs

    public IgniteWalIteratorFactory.IteratorParametersBuilder filesOrDirs(File... filesOrDirs)

Parameters:
  `filesOrDirs` - Files or directories.
Returns:
  IteratorParametersBuilder Self reference.

#### pageSize

    public IgniteWalIteratorFactory.IteratorParametersBuilder pageSize(int pageSize)

Parameters:
  `pageSize` - Page size.
Returns:
  IteratorParametersBuilder Self reference.

#### bufferSize

    public IgniteWalIteratorFactory.IteratorParametersBuilder bufferSize(int bufferSize)

Parameters:
  `bufferSize` - Initial size of buffer for reading segments.
Returns:
  IteratorParametersBuilder Self reference.

#### keepBinary

    public IgniteWalIteratorFactory.IteratorParametersBuilder keepBinary(boolean keepBinary)

Returns:
  IteratorParametersBuilder Self reference.

#### ioFactory

    public IgniteWalIteratorFactory.IteratorParametersBuilder ioFactory(FileIOFactory ioFactory)

Parameters:
  `ioFactory` - Custom IO factory for reading files.
Returns:
  IteratorParametersBuilder Self reference.

#### binaryMetadataFileStoreDir

    public IgniteWalIteratorFactory.IteratorParametersBuilder binaryMetadataFileStoreDir(File binaryMetadataFileStoreDir)

Parameters:
  `binaryMetadataFileStoreDir` - Path to the binary metadata.
Returns:
  IteratorParametersBuilder Self reference.

#### marshallerMappingFileStoreDir

    public IgniteWalIteratorFactory.IteratorParametersBuilder marshallerMappingFileStoreDir(File marshallerMappingFileStoreDir)

Parameters:
  `marshallerMappingFileStoreDir` - Path to the marshaller mapping.
Returns:
  IteratorParametersBuilder Self reference.

#### filter

    public IgniteWalIteratorFactory.IteratorParametersBuilder filter(IgniteBiPredicate<WALRecord.RecordType,WALPointer> filter)

Parameters:
  `filter` - Record filter for skip records during iteration.
Returns:
  IteratorParametersBuilder Self reference.

#### from

    public IgniteWalIteratorFactory.IteratorParametersBuilder from(FileWALPointer lowBound)

Parameters:
  `lowBound` - WAL pointer to start from.
Returns:
  IteratorParametersBuilder Self reference.

#### to

    public IgniteWalIteratorFactory.IteratorParametersBuilder to(FileWALPointer highBound)

Parameters:
  `highBound` - WAL pointer to end of.
Returns:
  IteratorParametersBuilder Self reference.

#### copy

    public IgniteWalIteratorFactory.IteratorParametersBuilder copy()

Copy current state of builder to new instance.

Returns:
  IteratorParametersBuilder Self reference.

#### validate

    public void validate()
                  throws IllegalArgumentException

Throws:
  `IllegalArgumentException` - If validation failed.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019